diff -uNr mythtv-0.21/i18n/mythfrontend_cz.ts mythtv/i18n/mythfrontend_cz.ts
--- mythtv-0.21/i18n/mythfrontend_cz.ts	2008-03-04 04:48:46.000000000 +0100
+++ mythtv/i18n/mythfrontend_cz.ts	2008-04-10 13:40:17.000000000 +0200
@@ -6592,103 +6600,103 @@
     </message>
     <message>
         <source>Film/Cinema</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Film</translation>
     </message>
     <message>
         <source>Experimental Film/Video</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Experimentální film</translation>
     </message>
     <message>
         <source>Broadcasting/Press</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Vysílání/ Tisk</translation>
     </message>
     <message>
         <source>New Media</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Nová média</translation>
     </message>
     <message>
         <source>Arts/Culture Magazines</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Kulturní/ umělecké magazíny</translation>
     </message>
     <message>
         <source>Social/Policical/Economics</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Sociální/Politické/Ekonomické</translation>
     </message>
     <message>
         <source>Magazines/Reports/Documentary</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Magazíny/Reportáže/Dokumentární</translation>
     </message>
     <message>
         <source>Economics/Social Advisory</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Ekonomické/ Sociální poradna</translation>
     </message>
     <message>
         <source>Remarkable People</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Pozoruhodní lidé</translation>
     </message>
     <message>
         <source>Education/Science/Factual</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Vzdělávání/Věda/Fakty</translation>
     </message>
     <message>
         <source>Nature/animals/Environment</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Příroda/Zvířata/Prostředí</translation>
     </message>
     <message>
         <source>Technology/Natural Sciences</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Technologie/Přírodní vědy</translation>
     </message>
     <message>
         <source>Medicine/Physiology/Psychology</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Lékařské/Psychologie/Fyziologie</translation>
     </message>
     <message>
         <source>Foreign Countries/Expeditions</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Zahraniční země/Expedice</translation>
     </message>
     <message>
         <source>Social/Spiritual Sciences</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Společenské/Duševní vědy</translation>
     </message>
     <message>
         <source>Further Education</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Další vzdělávání</translation>
     </message>
     <message>
         <source>Languages</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Jazyky</translation>
     </message>
     <message>
         <source>Leisure/Hobbies</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Zábava/Koníčky</translation>
     </message>
     <message>
         <source>Tourism/Travel</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Cestování/Turistika</translation>
     </message>
     <message>
         <source>Handicraft</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Řemesla</translation>
     </message>
     <message>
         <source>Motoring</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Motorismus</translation>
     </message>
     <message>
         <source>Fitness &amp; Health</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Zdraví &amp; Fitness</translation>
     </message>
     <message>
         <source>Cooking</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Vaření</translation>
     </message>
     <message>
         <source>Advertizement/Shopping</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Reklamy/TV Shopping</translation>
     </message>
     <message>
         <source>Gardening</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Zahradničení</translation>
     </message>
     <message>
         <source>Original Language</source>
@@ -6700,7 +6708,7 @@
     </message>
     <message>
         <source>&quot;Unpublished&quot; Programmes</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">&quot;Nepublikované&quot; programy</translation>
     </message>
     <message>
         <source>Live Broadcast</source>
@@ -6713,7 +6721,7 @@
     </message>
     <message>
         <source>Title match (regex)</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Název odpovídá</translation>
     </message>
     <message>
         <source>Automatically set new recording rules to use this group if the title matches this regular expression.  For example, &quot;(News|CNN)&quot; would match any title in which &quot;News&quot; or &quot;CNN&quot; appears.</source>
@@ -6766,7 +6774,7 @@
     </message>
     <message>
         <source>Other Showing</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Ostatní představení</translation>
     </message>
     <message>
         <source>the recording failed.</source>
@@ -6806,7 +6814,7 @@
     </message>
     <message>
         <source>Deaf Signing</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Označeno &quot;pro neslyšící&quot;</translation>
     </message>
     <message>
         <source>Last Recorded</source>
@@ -6826,7 +6834,7 @@
     </message>
     <message>
         <source>Watch List Score</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Hodnocení seznamu &quot;K přehrání&quot;</translation>
     </message>
     <message>
         <source>Auto-expire off</source>
@@ -6846,7 +6854,7 @@
     </message>
     <message>
         <source>Watch List Status</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Status seznamu &quot;K přehrání&quot;</translation>
     </message>
     <message>
         <source>Storage Group</source>
@@ -6854,7 +6862,7 @@
     </message>
     <message>
         <source>SAP/Bilingual</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Duální zvuk</translation>
     </message>
     <message>
         <source>Main Language</source>
@@ -6862,7 +6870,7 @@
     </message>
     <message>
         <source>SAP Language</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Jazyk sekundárního zvuku</translation>
     </message>
     <message>
         <source>Dual</source>
@@ -6870,7 +6878,7 @@
     </message>
     <message>
         <source>Chooses the language(s) to record when two languages are broadcast. Only Layer II supports the recording of two languages (Dual).Requires ivtv 0.4.0 or later.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Vyberte jazyk pro nahrávání, pokud je vysílán duální zvuk. Pouze Vrstva II podporuje nahrávání dvou jazyků (duální). vyžaduje ivtv 0.4.0 nebo novější.</translation>
     </message>
     <message>
         <source>If set, the bitrate specified will be used for 640x480.  If other resolutions are used, the bitrate will be scaled appropriately.</source>
@@ -7034,7 +7042,7 @@
     </message>
     <message>
         <source>Rename to Match</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Přejmenovat na odpovídající</translation>
     </message>
     <message>
         <source>Existing Channel Treatment</source>
@@ -7126,7 +7134,7 @@
     </message>
     <message>
         <source>Do not Transcode new recordings</source>
-        <translation type="unfinished">Nepřekodovat nové nahrávky</translation>
+        <translation type="unfinished">Nepřekódovat nové nahrávky</translation>
     </message>
     <message>
         <source>[ Select transcoder ]</source>
@@ -7154,15 +7162,15 @@
     </message>
     <message>
         <source>This section lists each transport that MythTV currently knows about. The display fields are video source, modulation, frequency, and when relevant symbol rate, network id, and transport id.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Tato sekce obsahuje všechny transporty které MythTV zná. Zobrazují se pole zdroj, modulace, frekvence, odpovídající symbolovou rychlost, síťové ID a ID transportu.</translation>
     </message>
     <message>
         <source>Sorry, the Transport Editor can only be used to edit transports which are connected to a card input.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Editor transportu může být použit pouze k úpravě transportů, které jsou připojeny ke vstupu karty.</translation>
     </message>
     <message>
         <source>Failed to probe a capture card connected to this transport&apos;s video source. Please make sure the backend is not running.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Zjišťování zda je zachytávací karta připojena ke zdroji tohoto transportu selhalo. Ujistěte se prosím že backend neběží.</translation>
     </message>
     <message>
         <source>The Video Sources to which this Transport is connected are incompatible, please create seperate video sources for these cards. </source>
@@ -7174,11 +7182,11 @@
     </message>
     <message>
         <source>Guiding standard to use for making sense of the data streams after they have been demodulated, error corrected and demultiplexed.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Standard pro zpracování datového toku poté, co je demodulován, jsou zkorigovány chyby a demultiplexován.</translation>
     </message>
     <message>
         <source>OpenCable</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">OpenCable</translation>
     </message>
     <message>
         <source>MPEG</source>
@@ -7204,11 +7212,11 @@
     </message>
     <message>
         <source>Adjust Playback</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Přizpůsobit přehrávání</translation>
     </message>
     <message>
         <source>Adjust Recorder</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Přizpůsobit nahrávání</translation>
     </message>
     <message>
         <source>Mythtv has been idle for %1 minutes and will exit in %2 seconds. Are you still watching?</source>
@@ -7261,11 +7269,11 @@
     </message>
     <message>
         <source>Note: Closed caption decoding will not work with libmpeg2.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Poznámka: dekódování skrytých titulků nebude fungovat s libmpeg2.</translation>
     </message>
     <message>
         <source>Standard XvMC will use XvMC API 1.0 to play back video; this is fast, but does not work well with HDTV sized frames.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Standardní XvMC bude používat XvMC API 1.0 pro přehrávání obrazu. To je sice rychlé, ale nepracuje dobře se snímky v HDTV rozlišení.</translation>
     </message>
     <message>
         <source>VIA XvMC will use the VIA VLD XvMC extension.</source>
@@ -7281,7 +7289,7 @@
     </message>
     <message>
         <source>Linear blend</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Lineární míchání (blend)</translation>
     </message>
     <message>
         <source>Kernel</source>
@@ -7293,15 +7301,15 @@
     </message>
     <message>
         <source>One field</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Jedno půlsnímek</translation>
     </message>
     <message>
         <source>Linear blend (HW)</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Lineární míchání (HW)</translation>
     </message>
     <message>
         <source>Kernel (HW)</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Kernel (HW)</translation>
     </message>
     <message>
         <source>Bob (2x, HW)</source>
@@ -7309,87 +7317,87 @@
     </message>
     <message>
         <source>One field (HW)</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Jeden půlsnímek (HW)</translation>
     </message>
     <message>
         <source>One Field (2x, HW)</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Jeden půlsnímek (2x, HW)</translation>
     </message>
     <message>
         <source>Kernel (2x, HW)</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Kernel (2x, HW)</translation>
     </message>
     <message>
         <source>Linear blend (2x, HW)</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Lineární míchání (2x, HW)</translation>
     </message>
     <message>
         <source>Interlaced (2x, Hw)</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Prokládané (2x, HW)</translation>
     </message>
     <message>
         <source>Video rendering method</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Metoda zobrazování obrazu</translation>
     </message>
     <message>
         <source>Render video offscreen. Used internally.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Počítat obraz mimo obrazovku. Používá se interně.</translation>
     </message>
     <message>
         <source>Use X11 pixel copy to render video. This is not recommended if any other option is available. The video will not be scaled to fit the screen. This will work with all X11 servers, local and remote.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Používat kopírování pixelů X11 pro zobrazení obrazu. Toto není doporučeno, pokud je k dispozici jiná možnost. Obraz nebude upraven na velikost obrazovky. Toto funguje se všemi X11 servery, lokálními i vzdálenými.</translation>
     </message>
     <message>
         <source>Use X11 shared memory pixel transfer to render video. This is only recommended over the X11 pixel copy renderer. The video will not be scaled to fit the screen. This works with most local X11 servers.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Použít přenos pixelů sdílenou pamětí X11. Toto je doporučeno pouze oproti kopírování pixelů X11. Obraze nebude upraven na velikost obrazovky. Toto funguje s většinou lokálních X11 serverů.</translation>
     </message>
     <message>
         <source>This is the standard video renderer for X11 systems. It uses XVideo hardware assist for scaling, color conversion. If the hardware offers picture controls the renderer supports them.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Toto je standardní zobrazovač obrazu pro X11 systémy. Využívá XVideo hardwarovou akceleraci pro úpravu velikosti a konverzi barev. Pokud hardware nabízí kontrolu obrazu, zobrazovač ji použije.</translation>
     </message>
     <message>
         <source>This is the standard video renderer for XvMC decoders. It uses XVideo hardware assist for scaling, color conversion and when available offers XVideo picture controls.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Toto je standardní zobrazovač obrazu pro dekodéry XvMC. Používá XVideo hardwarovou akceleraci pro úpravu velikosti a konverzi barev. Pokud hardware nabízí kontrolu obrazu, zobrazovač ji použije.</translation>
     </message>
     <message>
         <source>This video renderer for XvMC on nVidia cards uses XVideo for color conversion and OpenGL for scaling. The main benefit of this renderer is that it allows OpenGL OSD rendering, which frees two XvMC buffers for decoding. It requires a reasonably fast nVidia card.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Tento zobrazovač videa pro karty nVidia používá XVideo pro barevnou konverzi a OpenGL pro úpravu velikosti. Hlavní výhodou tohoto zobrazovače je umožnění zobrazování OSD s pomocí OpenGL. To uvolní dva XvMC buffery pro dekódování. Je vyžadována dostatečně rychlá karta nVidia.</translation>
     </message>
     <message>
         <source>This video renderer uses DirectFB for scaling and color conversion. It is not as feature rich as the standard video renderer, but can run on Linux hardware without an X11 server.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Tento zobrazovač používá DirectFB pro úpravu velikosti a barevnou konverzi. Nemá tolik vlastností jako standardní zobrazovač, ale může běžet na Linuxovém hardware be X11 serveru.</translation>
     </message>
     <message>
         <source>This is the standard video render for Macintosh OS X systems.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Toto je standardní zobrazovač pro systémy Macintosh OS X.</translation>
     </message>
     <message>
         <source>This is the only video renderer for the MacAccel decoder.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Toto je  zobrazovač videa pouze pro dekodér MacAccel.</translation>
     </message>
     <message>
         <source>This is only video renderer for the PVR-350 decoder.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Toto je zobrazovač videa pouze pro dekodér PVR-350.</translation>
     </message>
     <message>
         <source>This video renderer uses OpenGL for scaling and color conversion and can offer limited picture contols. This requires a faster GPU than XVideo. Also, when enabled, picture controls consume additional resources.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Tento zobrazovač obrazu používá OpenGl pro úpravu velikosti a barevnou konverzi a může nabídnout omezenou kontrolu obrazu. Vyžaduje rychlejší GPU než XVideo. Pokud je aktivován, kontrola obrazu spotřebuje dodatečné zdroje.</translation>
     </message>
     <message>
         <source>Perform no deinterlacing.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Neprovádět odstraňování prokládání.</translation>
     </message>
     <message>
         <source>Shows only one of the two fields in the frame. This looks good when displaying a high motion 1080i video on a 720p display.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Zobrazovat pouze jedno pole ze dvou ve snímku. Toto vypadá dobře, pokud zobrazujete velmi pohyblivý obraz 1080i na 720p obrazovce.</translation>
     </message>
     <message>
         <source>Blends the odd and even fields linearly into one frame.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Smíchat liché a sudé půlsnímky lineárně do jednoho snímku.</translation>
     </message>
     <message>
         <source>This filter disables deinterlacing when the two fields are similar, and performs linear deinterlacing otherwise.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Tento filtr vypne odstraňování prokládání pokud jsou půlsnímky podobné jinak provede lineární odstranění prokládání.</translation>
     </message>
     <message>
         <source>(Hardware Accelerated)</source>
@@ -7397,7 +7405,7 @@
     </message>
     <message>
         <source>With workaround for broken interlaced modelines.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">S náhradním řešením pro poškozené prokládané řádky.</translation>
     </message>
     <message>
         <source>&apos;%1&apos; has not been documented yet.</source>
@@ -7409,23 +7417,23 @@
     </message>
     <message>
         <source>Render the OSD using the XVideo chromakey feature.This renderer does not alpha blend. But it is the fastest OSD renderer; and is particularly efficient compared to the ia44blend OSD renderer for XvMC.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Zobrazit OSD s využitím vlastnosti XVideo &quot;sytost barev&quot; (chromakey). Tentozobrazovač nepoužívá aplha míchání. Ale je to nejrychlejší zobrazovač OSD zvláště efektivní v porovnání se zobrazovačem OSD ia44blend pro XvMC. </translation>
     </message>
     <message>
         <source>Note: nVidia hardware after the 5xxx series does not have XVideo chromakey support.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Poznámka: karty nVidia po sérii 5xxx nemají podporu pro XVideo &quot;sytost barev&quot; (chromakey)</translation>
     </message>
     <message>
         <source>Software OSD rendering uses your CPU to alpha blend the OSD.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Softwarové OSD zobrazování použije Vaše CPU pro alfa míchání OSD.</translation>
     </message>
     <message>
         <source>Uses hardware support for 16 color alpha-blend surfaces for rendering the OSD. Because of the limited color range, MythTV renders the OSD in 16 level grayscale.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Využívá podporu hardware pro 16-ti barevné alpha míchání pro zobrazení OSD. Z důvodu omezeného barevného rozsahu, MythTV zobrazuje OSD v 16-ti úrovních šedi. </translation>
     </message>
     <message>
         <source>Note: Not recommended for nVidia or Intel chipsets. This removes two of the limited XvMC buffers from decoding duty.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Poznámka: Není doporučováno pro karty nVidia a Intel. Toto uvolňuje dvě z omezených XvMC vyrovnávacích pamětí z procesu dekódování.</translation>
     </message>
     <message>
         <source>Renders the OSD using the PVR-350 chromakey feature.</source>
@@ -7485,7 +7493,7 @@
     </message>
     <message>
         <source>Perform EIT Scan</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Provést scan programových dat</translation>
     </message>
     <message>
         <source>If this is enabled the data in this source will be updated with listing data provided by the channels themselves &apos;over-the-air&apos;.</source>
@@ -7553,7 +7561,7 @@
     </message>
     <message>
         <source>When you change this setting, the text below should change to the name and type of your card. If the card cannot be opened, an error message will be displayed.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Pokud změníte toto nastavení, text níže bude změněn na jméno a typ Vaší karty. Pokud karta nemůže být otevřena, bude zobrazena chybová hláška.</translation>
     </message>
     <message>
         <source>Subtype</source>
@@ -7573,7 +7581,7 @@
     </message>
     <message>
         <source>This option makes the backend dvb-recorder only open the card when it is actually in-use, leaving it free for other programs at other times.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Tato volba zajistí otevření karty backendem pouze v případě že ji skutečně používá, v ostatních případech je karta ponechána volná pro jiné programy.</translation>
     </message>
     <message>
         <source>DVB Tuning Delay (msec)</source>
@@ -7589,15 +7597,15 @@
     </message>
     <message>
         <source>Cable box model</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Model kabelového STB</translation>
     </message>
     <message>
         <source>Generic</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Obecný</translation>
     </message>
     <message>
         <source>Choose the model that most closely resembles your set top box. Depending on firmware revision SA4200HD may work better for a SA3250HD box.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Vyberte model který nejlépe odpovídá Vašemu set-top-boxu. V závislosti na revizi firmware SA4200HD může pracovat lépe než SA3250HD.</translation>
     </message>
     <message>
         <source>Connection Type</source>
@@ -7609,43 +7617,43 @@
     </message>
     <message>
         <source>DBOX2 Streaming Port</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Vysílací port DBOX2</translation>
     </message>
     <message>
         <source>DBOX2 streaming port on your DBOX2.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Číslo vysílacího portu (streaming) na Vašem DBOX2</translation>
     </message>
     <message>
         <source>DBOX2 HTTP Port</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">HTTP port DBOX2</translation>
     </message>
     <message>
         <source>DBOX2 http port on your DBOX2.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Číslo HTTP portu na Vašem DBOX2.</translation>
     </message>
     <message>
         <source>DBOX2 Host IP</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">IP adresa DBOX2</translation>
     </message>
     <message>
         <source>DBOX2 Host IP is the remote device.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Vzdálená IP adresa vašeho DBOX2</translation>
     </message>
     <message>
         <source>Device ID</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">ID zařízení</translation>
     </message>
     <message>
         <source>IP address or Device ID from the bottom of the HDHomeRun.  You may use &apos;FFFFFFFF&apos; if there is only one unit on your your network.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">IP adresa nebo ID zařízení ze spodu HDHomeRun.  Můžete použít &quot;FFFFFFFF&quot; pokud je na Vaší síti pouze jedno takové zařízení.</translation>
     </message>
     <message>
         <source>M3U URL</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">M3U URL</translation>
     </message>
     <message>
         <source>URL of M3U containing IPTV channel URLs.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">URL M3U souboru který obsahuje URL IPTV stanic.</translation>
     </message>
     <message>
         <source>Tuner</source>
@@ -7665,7 +7673,7 @@
     </message>
     <message>
         <source>FireWire cable box</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Kabelový box FireWire</translation>
     </message>
     <message>
         <source>USB MPEG-4 encoder box (Plextor ConvertX, etc)</source>
@@ -7673,15 +7681,15 @@
     </message>
     <message>
         <source>DBox2 TCP/IP cable box</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Kabelový STB DBOX2 TCP/IP</translation>
     </message>
     <message>
         <source>HDHomeRun DTV tuner box</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">DTV STB HDHomeRun</translation>
     </message>
     <message>
         <source>Network Recorder</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Síťové nahrávací zařízení</translation>
     </message>
     <message>
         <source>Display Name (optional)</source>
@@ -7689,7 +7697,7 @@
     </message>
     <message>
         <source>This name is displayed on screen when live TV begins and when changing the selected input or card. If you use this, make sure the information is unique for each input.</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Toto jméno je zobrazeno na obrazovce při spuštění živé TV a při změně vybraného vstupu nebo karty. Pokud toto používáte, ujistěte se že informace je unikátní pro každý vstup.</translation>
     </message>
     <message>
         <source>Unencrypted channels only</source>
